## org.eclipse.emf.cdo.session
Interface CDOSession.Repository

Enclosing interface:
  CDOSession

    public static interface CDOSession.Repository

Describes a model repository a `session` is connected to.

See Also:
  `CDOSession.repository()`

Method Summary
`long` `getCreationTime()` Returns the creation time of this repository.
`long` `getCurrentTime()` Returns the approximate current time of this repository.
`long` `getCurrentTime(boolean forceRefresh)` Returns the approximate current time of this repository by optionally refreshing the approximation from the server.
`java.lang.String` `getName()` Returns the name of this repository.
`java.lang.String` `getUUID()` Returns the UUID of this repository.
`boolean` `isSupportingAudits()` Returns `true` if this repository supports auditing, `false` otherwise.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of this repository.

  See Also:
    `IRepository#getName()`

### getUUID

    java.lang.String getUUID()

  Returns the UUID of this repository.

  See Also:
    `IRepository#getUUID()`

### getCreationTime

    long getCreationTime()

  Returns the creation time of this repository.

  See Also:
    `IRepository#getCreationTime()`

### getCurrentTime

    long getCurrentTime()

  Returns the approximate current time of this repository.

  Same as calling `getCurrentTime(false)`.

  See Also:
    `getCurrentTime(boolean)`

### getCurrentTime

    long getCurrentTime(boolean forceRefresh)

  Returns the approximate current time of this repository by optionally refreshing the approximation from the server.

### isSupportingAudits

    boolean isSupportingAudits()

  Returns `true` if this repository supports auditing, `false` otherwise.

  See Also:
    `IRepository#isSupportingAudits()`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.